Page MenuHomePhabricator

Publish throttle-analyze.php to noc.wikimedia.org
Closed, ResolvedPublic

Details

Related Gerrit Patches:
operations/mediawiki-config : masterPublish throttle-analyze at noc
operations/mediawiki-config : masterPublish throttle-analyze at noc

Event Timeline

Urbanecm created this task.Feb 21 2018, 3:19 PM
Restricted Application added a project: User-Urbanecm. · View Herald TranscriptFeb 21 2018, 3:19 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Urbanecm triaged this task as Low priority.Feb 26 2018, 8:05 PM

Change 414758 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Publish throttle-analyze at noc

https://gerrit.wikimedia.org/r/414758

This was scheduled for SWAT today, but we have problems with scap, this will probably not be deployed because we will run out of time. Neither the patch or the task say _why_ is the file published. I would be reluctant to deploy it because of that.

Anyway it was rescheduled for tomorrow. The content of this file was published before separating and there is no need to keep the logic not visible. The file itself says that it is public too.

Change 414758 merged by jenkins-bot:
[operations/mediawiki-config@master] Publish throttle-analyze at noc

https://gerrit.wikimedia.org/r/414758

Mentioned in SAL (#wikimedia-operations) [2018-03-14T13:21:09Z] <zfilipin@tin> Synchronized docroot/noc/conf/throttle-analyze.php.txt: SWAT: [[gerrit:414758|Publish throttle-analyze at noc (T187894)]] (duration: 01m 13s)

Mentioned in SAL (#wikimedia-operations) [2018-03-14T13:42:48Z] <zfilipin@tin> Synchronized docroot/noc/conf/: SWAT: [[gerrit:419422|Revert "Publish throttle-analyze at noc" (T187894)]] (duration: 01m 15s)

Urbanecm moved this task from To deploy to Working on on the User-Urbanecm board.Mar 14 2018, 2:05 PM
Urbanecm removed Urbanecm as the assignee of this task.May 20 2018, 12:35 PM
Urbanecm removed a project: User-Urbanecm.

Change 481267 had a related patch set uploaded (by Framawiki; owner: Framawiki):
[operations/mediawiki-config@master] Publish throttle-analyze at noc

https://gerrit.wikimedia.org/r/481267

Change 481267 had a related patch set uploaded (by Framawiki; owner: Framawiki):
[operations/mediawiki-config@master] Publish throttle-analyze at noc

https://gerrit.wikimedia.org/r/481267

Change 481267 merged by jenkins-bot:
[operations/mediawiki-config@master] Publish throttle-analyze at noc

https://gerrit.wikimedia.org/r/481267

Mentioned in SAL (#wikimedia-operations) [2019-04-29T18:21:24Z] <catrope@deploy1001> Synchronized docroot/noc: Publish throttle-analyze at noc (T187894) (duration: 00m 53s)

Framawiki closed this task as Resolved.Apr 29 2019, 6:25 PM

https://noc.wikimedia.org/conf/highlight.php?file=throttle-analyze.php shows the file!

Note that it looks like NOC server doesn't respect Debug header tag (XWD browser extension) or there is temporary cache issue at the time of the deployment.